| Home | Libraries | People | FAQ | More

## Function template read_info

boost::property_tree::info_parser::read_info

## Synopsis

    // In header: <boost/property_tree/info_parser.hpp>

    template<typename Ptree>
      void read_info(const std::string & filename, Ptree & pt,
                     const std::locale & loc = std::locale());

## Description

Read INFO from a the given file and translate it to a property tree. The tree's key type must be a string type, i.e. it must have a nested value_type typedef that is a valid parameter for basic_ifstream.

| Note
Replaces the existing contents. Strong exception guarantee.

Throws: | info_parser_error If the file cannot be read, doesn't contain valid INFO, or a conversion fails.